%define upstream_name    Dist-Zilla-Plugin-PurePerlTests
%define upstream_version 0.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Run all your tests twice, once with XS code and once with pure Perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Most)
BuildArch: noarch


%description
This plugin is for modules which ship with a dual XS/pure Perl
implementation.

The plugin makes a copy of all your tests when doing release testing (via
'dzil test' or 'dzil release'). The copy will set an environment value that
you specify in a 'BEGIN' block. You can use this to force your code to not
load the XS implementation.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes META.yml LICENSE README META.json
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Jan 26 2011 jquelin <jquelin> 0.20.0-1.mga1
+ Revision: 40552
- mageia rebuild
- imported package perl-Dist-Zilla-Plugin-PurePerlTests

